<keymap version="1" name="Igor`s keymap for macOS" parent="Mac OS X 10.5+">
  <action id="$Delete">
    <keyboard-shortcut first-keystroke="delete" />
    <keyboard-shortcut first-keystroke="back_space" />
  </action>
  <action id="ActivateCommitToolWindow">
    <keyboard-shortcut first-keystroke="meta 8" />
  </action>
  <action id="ActivateDatabaseToolWindow">
    <keyboard-shortcut first-keystroke="meta 3" />
  </action>
  <action id="ActivateDocumentationToolWindow">
    <keyboard-shortcut first-keystroke="alt d" />
  </action>
  <action id="ActivateFavoritesToolWindow" />
  <action id="ActivateFindToolWindow" />
  <action id="ActivateProblemsViewToolWindow" />
  <action id="ActivateRemoteHostToolWindow">
    <keyboard-shortcut first-keystroke="meta 4" />
  </action>
  <action id="ActivateRunToolWindow" />
  <action id="ActivateServicesToolWindow" />
  <action id="ActivateStructureToolWindow">
    <keyboard-shortcut first-keystroke="meta 2" />
  </action>
  <action id="ActivateTerminalToolWindow">
    <keyboard-shortcut first-keystroke="meta back_quote" />
  </action>
  <action id="Arrangement.Alias.Rule.Add" />
  <action id="Arrangement.Rule.Add" />
  <action id="ChangesView.Move" />
  <action id="ChangesView.SetDefault" />
  <action id="CheckinProject">
    <keyboard-shortcut first-keystroke="ctrl k" />
  </action>
  <action id="ClassNameCompletion" />
  <action id="CodeCompletion">
    <keyboard-shortcut first-keystroke="alt space" />
  </action>
  <action id="CollapseAllRegions">
    <keyboard-shortcut first-keystroke="shift ctrl minus" />
  </action>
  <action id="CollapseRegion">
    <keyboard-shortcut first-keystroke="ctrl minus" />
  </action>
  <action id="CommentByBlockComment">
    <keyboard-shortcut first-keystroke="meta alt slash" />
  </action>
  <action id="CommentByLineComment">
    <keyboard-shortcut first-keystroke="meta slash" />
  </action>
  <action id="CompareFileWithEditor">
    <keyboard-shortcut first-keystroke="alt d" />
  </action>
  <action id="Console.TableResult.AddRow" />
  <action id="Console.TableResult.ImportTable">
    <keyboard-shortcut first-keystroke="f5" />
  </action>
  <action id="Console.TableResult.PreviousPage" />
  <action id="Console.TableResult.Transpose">
    <keyboard-shortcut first-keystroke="meta t" />
  </action>
  <action id="CopyElement" />
  <action id="Diff.NextChange" />
  <action id="Diff.PrevChange" />
  <action id="DomElementsTreeView.DeleteElement">
    <keyboard-shortcut first-keystroke="delete" />
    <keyboard-shortcut first-keystroke="back_space" />
  </action>
  <action id="DuplicatesForm.SendToLeft" />
  <action id="DuplicatesForm.SendToRight" />
  <action id="EditorCutLineEnd" />
  <action id="EditorDeleteLine" />
  <action id="EditorLeft">
    <keyboard-shortcut first-keystroke="left" />
  </action>
  <action id="EditorLineEnd">
    <keyboard-shortcut first-keystroke="meta right" />
    <keyboard-shortcut first-keystroke="alt e" />
  </action>
  <action id="EditorLineEndWithSelection">
    <keyboard-shortcut first-keystroke="shift meta right" />
    <keyboard-shortcut first-keystroke="shift alt e" />
  </action>
  <action id="EditorLineStart">
    <keyboard-shortcut first-keystroke="meta left" />
    <keyboard-shortcut first-keystroke="alt s" />
  </action>
  <action id="EditorLineStartWithSelection">
    <keyboard-shortcut first-keystroke="shift meta left" />
    <keyboard-shortcut first-keystroke="shift alt s" />
  </action>
  <action id="EditorMatchBrace">
    <keyboard-shortcut first-keystroke="meta semicolon" />
  </action>
  <action id="EditorMoveToPageBottom">
    <keyboard-shortcut first-keystroke="meta alt down" />
  </action>
  <action id="EditorMoveToPageBottomWithSelection">
    <keyboard-shortcut first-keystroke="shift meta alt down" />
  </action>
  <action id="EditorMoveToPageTop">
    <keyboard-shortcut first-keystroke="meta alt up" />
  </action>
  <action id="EditorMoveToPageTopWithSelection">
    <keyboard-shortcut first-keystroke="shift meta alt up" />
  </action>
  <action id="EditorNextWord">
    <keyboard-shortcut first-keystroke="alt right" />
  </action>
  <action id="EditorNextWordWithSelection">
    <keyboard-shortcut first-keystroke="shift alt right" />
  </action>
  <action id="EditorPreviousWord">
    <keyboard-shortcut first-keystroke="alt left" />
  </action>
  <action id="EditorPreviousWordWithSelection">
    <keyboard-shortcut first-keystroke="shift alt left" />
  </action>
  <action id="EditorRight">
    <keyboard-shortcut first-keystroke="right" />
  </action>
  <action id="EditorSortLines">
    <keyboard-shortcut first-keystroke="shift ctrl s" />
  </action>
  <action id="EditorTextEnd" />
  <action id="EditorTextEndWithSelection" />
  <action id="EditorTextStart" />
  <action id="EditorTextStartWithSelection" />
  <action id="Exit" />
  <action id="ExpandAll">
    <keyboard-shortcut first-keystroke="meta add" />
  </action>
  <action id="ExpandAllRegions">
    <keyboard-shortcut first-keystroke="shift ctrl equals" />
  </action>
  <action id="ExpandExpandableComponent">
    <keyboard-shortcut first-keystroke="shift enter" />
    <keyboard-shortcut first-keystroke="meta add" />
  </action>
  <action id="ExpandRegion">
    <keyboard-shortcut first-keystroke="ctrl equals" />
  </action>
  <action id="ExpressionTypeInfo" />
  <action id="ExternalSystem.ExpandAll">
    <keyboard-shortcut first-keystroke="meta add" />
  </action>
  <action id="FileChooser.GotoDesktop" />
  <action id="FileChooser.GotoHome" />
  <action id="FileChooser.GotoModule" />
  <action id="FileChooser.GotoProject" />
  <action id="FileChooser.NewFolder" />
  <action id="Generate">
    <keyboard-shortcut first-keystroke="ctrl enter" />
  </action>
  <action id="Git.Branches">
    <keyboard-shortcut first-keystroke="shift ctrl b" />
  </action>
  <action id="Git.Fetch">
    <keyboard-shortcut first-keystroke="shift ctrl f" />
  </action>
  <action id="Git.Pull">
    <keyboard-shortcut first-keystroke="shift ctrl p" />
  </action>
  <action id="Git.Tag">
    <keyboard-shortcut first-keystroke="shift ctrl t" />
  </action>
  <action id="GotoTypeDeclaration">
    <mouse-shortcut keystroke="shift meta button1" />
  </action>
  <action id="Graph.RouteEdges" />
  <action id="Images.Editor.ZoomIn">
    <keyboard-shortcut first-keystroke="meta add" />
  </action>
  <action id="InspectCode">
    <keyboard-shortcut first-keystroke="alt i" />
  </action>
  <action id="MoveStatementDown">
    <keyboard-shortcut first-keystroke="shift ctrl alt down" />
  </action>
  <action id="MoveStatementUp">
    <keyboard-shortcut first-keystroke="shift ctrl alt up" />
  </action>
  <action id="MoveTabDown">
    <keyboard-shortcut first-keystroke="shift ctrl meta down" />
  </action>
  <action id="MoveTabRight">
    <keyboard-shortcut first-keystroke="shift ctrl meta right" />
  </action>
  <action id="NavBar-selectHome">
    <keyboard-shortcut first-keystroke="home" />
    <keyboard-shortcut first-keystroke="ctrl a" />
  </action>
  <action id="NewElement">
    <keyboard-shortcut first-keystroke="meta n" />
  </action>
  <action id="NextProjectWindow">
    <keyboard-shortcut first-keystroke="ctrl back_quote" />
  </action>
  <action id="NextWindow" />
  <action id="PreviousOccurence" />
  <action id="PreviousProjectWindow">
    <keyboard-shortcut first-keystroke="shift ctrl back_quote" />
  </action>
  <action id="PublishGroup.UploadTo">
    <keyboard-shortcut first-keystroke="shift ctrl u" />
  </action>
  <action id="QuickActionPopup">
    <keyboard-shortcut first-keystroke="shift ctrl enter" />
  </action>
  <action id="QuickChangeScheme" />
  <action id="QuickImplementations">
    <keyboard-shortcut first-keystroke="meta y" />
  </action>
  <action id="QuickJavaDoc">
    <keyboard-shortcut first-keystroke="f1" />
  </action>
  <action id="SafeDelete" />
  <action id="SelectIn" />
  <action id="SelectInProjectView">
    <keyboard-shortcut first-keystroke="alt 1" />
  </action>
  <action id="ServiceView.AddService" />
  <action id="ShowPopupMenu">
    <keyboard-shortcut first-keystroke="ctrl alt enter" />
  </action>
  <action id="Uml.NewElement" />
  <action id="UsageView.Exclude">
    <keyboard-shortcut first-keystroke="delete" />
    <keyboard-shortcut first-keystroke="back_space" />
  </action>
  <action id="Vcs.MoveChangedLinesToChangelist" />
  <action id="Vcs.Push">
    <keyboard-shortcut first-keystroke="shift ctrl k" />
  </action>
  <action id="Vcs.UpdateProject" />
  <action id="VcsShowNextChangeMarker" />
  <action id="VcsShowPrevChangeMarker" />
  <action id="WebDeployment.BrowseServers">
    <keyboard-shortcut first-keystroke="shift meta 4" />
  </action>
  <action id="com.jetbrains.plugins.remotesdk.console.RunSshConsoleAction">
    <keyboard-shortcut first-keystroke="meta 7" />
  </action>
</keymap>